<?php // $Id:$
session_start();
require('headersub.php');
require('menuAdminsub.php');
?>

<center>
<h2 class="maketitle">GeoThms - Geometry Framework</h2>
</center>

<?php
require('loginsub.php');


$sqlUsersIds   = "SELECT userId,username
                    FROM users";

$resultadoUsersIds = mysql_query($sqlUsersIds, $ligacao); 


// Tabela com valores
echo "<center>\n";
echo "<table border='1' width='90%'>\n";
echo "<tr>\n";
echo "<th>Id. de Utilizador</th>
      <th>Nome de Utilizador</th>
      <th>Última entrada</th>
      <th>Saída</th>
      <th>Duração</th>";
while ($linhaUsersIds = mysql_fetch_assoc($resultadoUsersIds)) {
  $userId = trim($linhaUsersIds['userId']);
  $userName = trim($linhaUsersIds['username']);

  echo "<tr>\n";
  echo "<td align='center'>$userId</td>
        <td>$userName</td>\n";

  $sqlMaxTimeLogin = "SELECT MAX(timeLogin) 
                        FROM logs 
                       WHERE userId=$userId
                         AND websystem='GeoThms'";


  $resultadoMaxTimeLogin = mysql_query($sqlMaxTimeLogin, $ligacao); 
  $linhaMaxTimeLogin = mysql_fetch_assoc($resultadoMaxTimeLogin);

  $maxTimeLogin = trim($linhaMaxTimeLogin['MAX(timeLogin)']);


  if ($maxTimeLogin!=0) { // caso em que o utilizador já entrou pelo menos 
    // uma vez, após se começar a fazer os registos 
    $sqlTimes = "SELECT timeLogin,timeLogout,loginLogout
                   FROM logs 
                  WHERE userId=$userId
                    AND timeLogin=$maxTimeLogin
                    AND websystem='GeoThms'";


    //  echo "$sqlTimes";
    
    $resultadoTimes = mysql_query($sqlTimes, $ligacao); 
    $linhaTimes = mysql_fetch_assoc($resultadoTimes);
    
    $timeLogin = trim($linhaTimes['timeLogin']);
    $timeLogout = trim($linhaTimes['timeLogout']);
    $loginLogout = trim($linhaTimes['loginLogout']);
    
    if ($timeLogout!=0) { // caso em se fez o registo da sua saída
      //  setlocale(LC_TIME, "pt_PT");
      setlocale(LC_ALL,"pt_PT");
      $maxTimeLogin=strftime("%Y/%m/%e %R:%M",$maxTimeLogin);
      $timeLogout=strftime("%Y/%m/%e %R:%M",$timeLogout);
      $loginLogout=strftime("%M",$loginLogout);
      
      echo "<td>$maxTimeLogin</td>
            <td>$timeLogout</td>
            <td>$loginLogout min</td>\n";
    }
    else {
      $maxTimeLogin=strftime("%Y/%m/%e %R:%M",$maxTimeLogin);
      echo "<td colspan='3'>$maxTimeLogin</td>";
    }      
  }
  else {
    echo "<td colspan='3'>No records since 12/6/2007</td>";
  }
  echo "</tr>\n";
 }
echo "</table>";
echo "</center>\n";
?>

<p>&nbsp;</p>

<hr>


<?php
  require('../footer.php');
?>
